Subject: Re: bug#23877: [Guix Info][7.1.4] Should remind user to do "guix pull"

From: [email-masked] (Ludovic Courtès)
Date: Sun, 03 Jul 2016 00:00:37 +0200

Hello!

Eus <[email-masked]> skribis:

> Hi guys!

(And gals, etc.)

> I did that and my machine started to build sources. Then, I hit some error when building webkitgtk-2.12.0 and went to the Guix IRC channel. There two users told me that I should do "guix pull" first so that I do not have to build from source.
>
> So, I think it is best to mention about "guix pull" in the Guix info page section 7.1.4.

I wouldn’t recommend running “guix pull” from the installation image.
We arrange to keep binaries that correspond to releases on our servers,
but apparently we failed here, at least for some of the 0.10.0
binaries.

Had they been available, you wouldn’t have had to build WebKitGTK on
your machine (which is arguably a terrrible user experience for a first
install!).

The fix here is for us to make sure binaries are retained long enough.

Thanks for your report!

Ludo’.